<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
class Horaire extends Model
{
    //

    use HasFactory;
    protected $fillable = ['niveau_id', 'discipline_id','horaire'];

    public function niveau(): BelongsTo
{ 
    return $this->belongsTo(Niveau::class); 
}
public function discipline(): BelongsTo
{ 
    return $this->belongsTo(Discipline::class); 
}

}
